Bug 205519 - Add logging for Modern EME methods.
Summary: Add logging for Modern EME methods.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-12-20 14:14 PST by Jer Noble
Modified: 2020-03-10 11:26 PDT (History)
13 users (show)

See Also:


Attachments
Patch (49.48 KB, patch)
2019-12-20 14:16 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (59.26 KB, patch)
2019-12-20 15:15 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (59.39 KB, patch)
2020-01-06 15:39 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (60.78 KB, patch)
2020-01-07 15:47 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (60.21 KB, patch)
2020-03-10 09:22 PDT, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2019-12-20 14:14:32 PST
Add logging for Modern EME methods.
Comment 1 Jer Noble 2019-12-20 14:16:24 PST
Created attachment 386252 [details]
Patch
Comment 2 Jer Noble 2019-12-20 15:15:53 PST
Created attachment 386264 [details]
Patch
Comment 3 Eric Carlson 2019-12-20 15:26:12 PST
Comment on attachment 386264 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=386264&action=review

> Source/WebCore/Modules/encryptedmedia/MediaKeys.cpp:61
> +    auto identifier = WTF::Logger::LogSiteIdentifier("MediaKeys", __func__, this);

We shouldn't log pointer values.

> Source/WebCore/Modules/encryptedmedia/MediaKeys.cpp:97
> +    auto identifier = WTF::Logger::LogSiteIdentifier("MediaKeys", __func__, this);

Ditto.

> Source/WebCore/Modules/encryptedmedia/NavigatorEME.cpp:78
> +    auto identifier = WTF::Logger::LogSiteIdentifier("NavigatorEME", __func__, &navigator);

Ditto
Comment 4 Jer Noble 2019-12-20 15:40:10 PST
(In reply to Eric Carlson from comment #3)
> Comment on attachment 386264 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=386264&action=review
> 
> > Source/WebCore/Modules/encryptedmedia/MediaKeys.cpp:61
> > +    auto identifier = WTF::Logger::LogSiteIdentifier("MediaKeys", __func__, this);
> 
> We shouldn't log pointer values.

I thought that was the whole point of LogSiteIdentifier?
Comment 5 Eric Carlson 2019-12-20 22:47:56 PST
Comment on attachment 386264 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=386264&action=review

>>> Source/WebCore/Modules/encryptedmedia/MediaKeys.cpp:61
>>> +    auto identifier = WTF::Logger::LogSiteIdentifier("MediaKeys", __func__, this);
>> 
>> We shouldn't log pointer values.
> 
> I thought that was the whole point of LogSiteIdentifier?

The identifier should be a unique, non-pointer, value. Many objects use the uniqueLogIdentifier() function to generate an id.
Comment 6 Jer Noble 2020-01-06 15:39:01 PST
Created attachment 386900 [details]
Patch for landing
Comment 7 Jer Noble 2020-01-07 15:47:21 PST
Created attachment 387047 [details]
Patch for landing
Comment 8 Jer Noble 2020-03-10 09:22:07 PDT
Created attachment 393156 [details]
Patch for landing
Comment 9 WebKit Commit Bot 2020-03-10 11:25:38 PDT
Comment on attachment 393156 [details]
Patch for landing

Clearing flags on attachment: 393156

Committed r258221: <https://trac.webkit.org/changeset/258221>
Comment 10 WebKit Commit Bot 2020-03-10 11:25:40 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2020-03-10 11:26:18 PDT
<rdar://problem/60281804>